Bug 1715936 - Review Request: bodhi3 - The bodhi3 client for Fedora 29 and 30
Summary: Review Request: bodhi3 - The bodhi3 client for Fedora 29 and 30
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Zbigniew Jędrzejewski-Szmek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-31 17:07 UTC by Randy Barlow
Modified: 2019-06-12 02:05 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-12 00:45:50 UTC
zbyszek: fedora-review+


Attachments (Terms of Use)

Description Randy Barlow 2019-05-31 17:07:18 UTC
Spec URL: https://bowlofeggs.fedorapeople.org/bodhi3.spec
SRPM URL: https://bowlofeggs.fedorapeople.org/bodhi3-3.14.0-1.fc31.src.rpm
Description: The bodhi3 client for Fedora 29 and 30
Fedora Account System Username: bowlofeggs

This is for fesco#2137 - we are packaging the bodhi3 client in case anyone needs to continue using it on Fedora 29 and 30. This package will not be added to Rawhide (and will be retired there).

[0] https://pagure.io/fesco/issue/2137

Comment 1 Zbigniew Jędrzejewski-Szmek 2019-06-01 08:21:10 UTC
The %descriptions needs to say that this is a compat package and explain
when it should be used (and that it cannot be used with Fedora infra now).

%{__install} → install (applies to the normal bodhi spec too).

- builds and installs OK in mock
- not latest version, but that's expected
- package name is OK (follows https://docs.fedoraproject.org/en-US/packaging-guidelines/Naming/#multiple).

Package is APPROVED. Please update the %descriptions when importing.

Comment 2 Miro Hrončok 2019-06-02 14:07:29 UTC
I consider the following three lines suspicious:

%{?python_provide:%python_provide python3-bodhi}
%{?python_provide:%python_provide python3-bodhi-client}
Requires: python3-bodhi == %{version}-%{release}

Comment 3 Gwyn Ciesla 2019-06-03 16:01:31 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/bodhi3

Comment 4 Randy Barlow 2019-06-03 16:50:55 UTC
I've adjusted the main Bodhi package to use install instead of the install macro here:

https://src.fedoraproject.org/rpms/bodhi/c/66783a1c7f5dc1d3c01671ef1ae5557147fe8766?branch=master

And here are commits I made to the bodhi3 package to address feedback from both of you (let me know if you would like further improvements, or if I missed anything):

https://src.fedoraproject.org/rpms/bodhi3/c/9bc0d164f6552d01799483c539c5c1490925ce50?branch=f30
https://src.fedoraproject.org/rpms/bodhi3/c/fbb83784385cc6045b7b7536131e503e639845a7?branch=f30
https://src.fedoraproject.org/rpms/bodhi3/c/d5aa252633a31ab204df0b5fee65b4d9d3733ddc?branch=f30

I don't intend to make a rawhide build, so I haven't made any commits on master. I'm not tooooootally sure how retiring works, so I'm making myself a TODO to retire it after the f29 and f30 updates that have this package go stable, just so I can be sure nothing funny happens (i.e., I want to make sure there are builds tagged for stable in the stable releases first, just in case the releng retirement script blocks f29/30 if it detects there aren't builds there.)

I will also put this in the same updates that introduce Bodhi 4 so they go out atomically.

Comment 5 Randy Barlow 2019-06-03 16:58:08 UTC
I just noticed something that I hadn't considered before - the F29 package still has Python 2 (but F30 does not). F29 also has an even older Bodhi (3.12 instead of 3.14). All that to say, the f29 spec file will be a bit different than this one. I will do F30 first and then work on F29. I will make the bodhi3 package be 3.12 (so it's the same version) and support those python2- packages too, even though that will make Miro a little bit sad. Sorry Miro.

Let me know if you want to review that too or not - I can do it via a PR if you do. If I don't hear from either of you, I'll assume you don't want to review it ☺

Comment 6 Miro Hrončok 2019-06-03 18:14:00 UTC
I don't need to review anything, but if you'd like another set of eyes, feel free to cc me on the PR.

As for the Python 2 bits, I only really care for rawhide.

Comment 7 Fedora Update System 2019-06-03 19:10:31 UTC
FEDORA-2019-352078fd2b has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-352078fd2b

Comment 8 Randy Barlow 2019-06-03 21:43:25 UTC
Here is my commit for F29:

https://src.fedoraproject.org/rpms/bodhi3/c/2d00cdba43dfe13cda171e2c75003a384c9350f6?branch=f29

Note that I kept using the python2-bodhi name for the Python 2 packages rather than calling them python3-bodhi3. This way they are the same content we offer now, and they don't conflict with the official Bodhi package, since it offers no Python 2 packages at all (Bodhi 4 does not support Python 2).

Comment 9 Fedora Update System 2019-06-03 21:45:29 UTC
FEDORA-2019-5ce9adadc1 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-5ce9adadc1

Comment 10 Fedora Update System 2019-06-04 01:17:14 UTC
bodhi-4.0.2-1.fc30, bodhi3-3.14.0-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-352078fd2b

Comment 11 Fedora Update System 2019-06-04 03:27:46 UTC
bodhi-4.0.2-1.fc29, bodhi3-3.12.0-200.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-5ce9adadc1

Comment 12 Fedora Update System 2019-06-12 00:45:50 UTC
bodhi-4.0.2-1.fc30, bodhi3-3.14.0-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2019-06-12 02:05:09 UTC
bodhi-4.0.2-1.fc29, bodhi3-3.12.0-200.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.